Subject: Re: [Mipshop] F-MIPv6: Buffering in PAR Unauthorized?

From: Christian Vogt <[email-masked]>
Date: Wed, 04 Jan 2006 10:47:50 +0100

James,

the terminal is authorized for buffering service anyway.  So it won't be 
very serious if the PAR buffers packets even though the terminal has 
gone down (rather than having moved).

What we don't want, however, is that *some other* node can cause the PAR 
to buffer packets by sending a single message (i.e., a RtAdvPr message).

In any case, the buffer should be limited in a reasonable way, of course.

When the FBU does not arrive within a reasonable time frame, the PAR can 
eventually assume that the terminal did in fact go down.

- Christian

-- 
Christian Vogt, Institute of Telematics, University of Karlsruhe
www.tm.uka.de/~chvogt/pubkey/

James Kempf wrote:
>> 802.11 has inbuilt retransmission and acknowledgement mechanisms. 
>> Therefore, it should be ok to assume handoff in the event of a 
>> to-be-determined number of back-to-back delivery failures.
>>
>> Ultimately, the buffering policy is up to the PAR, of course.
>>
> 
> Hmm, not so sure about this. How can the PAR distinguish between a frame 
> delivery failure due to handover and one due to the terminal going down 
> (or perhaps link transmission is disrupted by an adversary)?
> 
> Note that even if the PAR buffers, it still must know where to send the 
> data, which it won't until an FBU arrives.
> 
>            jak

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop